
If it already exists and is frozen or off, presumably there's some reason for that, and Xrefs will still be moved to it anyway. In Layer 0, to set up a key as 'Move to Layer 1' 2. If you want to go from Layer 0 to Layer 1 you will need: 1. Move to Layer works in a straightforward way. This is the key used to change from one layer to another one. If it already exists with the wrong color, that will be corrected. Move To Layer works similarly to Lock to Layer where it activates the given layer and deactivates the rest. (command "_.layer" "_new" "YourLayerName" "_color" YourColor "YourLayerName" "") Or, since you don't need that Layer to be made current , you can just do this: You can do the Layer command you have there, substituting the appropriate Layer name and color, but with a double quote after the "_color " option. (if (vlax-property-available-p vla 'Path) (command "_.layer" "_thaw" "YourLayerName" "_make" "YourLayerName" "_color ' YourColor "" "") (entmod (subst (cons 8 "Tx-Xref") (assoc 8 e) e)) The Cadence move command prompts for a reference point. (setq e (entget (ssname c (setq d (1- d))))) Select every object in the cellview (be sure all instances, pins and layers are selectable first) and move everything. (if (and b (setq c (ssget "_X" (list '(0.

(setq b (cons "," (cons (cdr (assoc 2 a)) b))) (while (setq a (tblnext "BLOCK" (null a)))

That said, I would like to know if that is a way to have a " IF the xref is already on the Tx-Xref layer, do nothing".
Layouteditor move to anther layer series#
The device design, which consists of the sequence of patterns in the thin layers, is drawn as a series of two-dimensional drawings using a computer program. Desktop publishing is just another way of laying out text and overlaps considerably with. The successive deposition of layers cre-ates the third dimension. Spot colors are not supported by the OCAD layout layer. I did this because not everyone in the office I work remembers to put the xref on the correct layer. The device is built up in a series of thin layers deposited on top of each other. I am using your routine for a while and it is really good.įor my purposes, I added a " create layer if not present" to put the xref in a specific layer.Īlso, I put the routine on the Acaddoc.lsp to run everytime I open a drawing.
